Bug 624726 - beaker-proxy and beaker-watchdog init scripts do not create PID file
Summary: beaker-proxy and beaker-watchdog init scripts do not create PID file
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Beaker
Classification: Community
Component: lab controller (Show other bugs)
(Show other bugs)
Version: 0.5
Hardware: All Linux
low
medium vote
Target Milestone: ---
Assignee: Bill Peck
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-08-17 15:25 UTC by Paul Baumgardner
Modified: 2011-09-28 15:35 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-24 14:06:02 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Paul Baumgardner 2010-08-17 15:25:39 UTC
Description of problem:
The init scripts for beaker-proxy and beaker-watchdog do not create a PID file in /var/run.  They do create a lock file in /var/lock/subsys. 

Doing a service beaker-proxy status returns:
[root@lab-stage ~]# service beaker-proxy status
beaker-proxy dead but subsys locked
[root@lab-stage ~]#

Version-Release number of selected component (if applicable):
beaker-lab-controller-0.5.53-1.el5

How reproducible:
always

Steps to Reproduce:
1. service beaker-proxy start
2. service beaker-proxy status
  
Actual results:
[root@lab-stage ~]# service beaker-proxy status
beaker-proxy dead but subsys locked
[root@lab-stage ~]# 

Expected results:

[root@lab-stage ~]# service beaker-proxy status
beaker-proxy (pid xxx) is running
[root@lab-stage ~]#


Note You need to log in before you can comment on or make changes to this bug.